STRUCT MPATH_INFO(9)

NAME
struct_mpath_info - mesh path information

SYNOPSIS

struct mpath_info {
  u32 filled;
  u32 frame_qlen;
  u32 sn;
  u32 metric;
  u32 exptime;
  u32 discovery_timeout;
  u8 discovery_retries;
  u8 flags;
  int generation;
};

MEMBERS

filled
    bitfield of flags from enum mpath_info_flags

frame_qlen
    number of queued frames for this destination

sn
    target sequence number

metric
    metric (cost) of this mesh path

exptime
    expiration time for the mesh path from now, in msecs

discovery_timeout
    total mesh path discovery timeout, in msecs

discovery_retries
    mesh path discovery retries

flags
    mesh path flags

generation
    generation number for nl80211 dumps. This number should increase every time the list of mesh paths changes, i.e. when a station is added or removed, so that userspace can tell whether it got a consistent snapshot.

DESCRIPTION

Mesh path information filled by driver for get_mpath and dump_mpath.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT